import { TimeSegmentType } from "./time_segment_type";
import { TimeUnit } from "./time_unit";
export declare class TimeRange {
    from: Date;
    to: Date;
    constructor(from: Date, to: Date);
    get duration(): number;
    get key(): string;
    static fromString(from: string, to: string): TimeRange;
    static fromKey(key: string): TimeRange;
    segment(quantity: number, unit: TimeUnit, segmentType: TimeSegmentType): TimeRange[];
    toString(): string;
    toJSON(): {
        from: string | undefined;
        to: string | undefined;
    };
}
